
/**
 * Convert JS date to SQL format
 * @param {Date} date 
 */
const dateToSQL = (date) => {
    return `${date.getFullYear()}-`
        + `${(date.getMonth() + 1).toString().length === 1 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)}-`
        + `${date.getDate().toString().length === 1 ? "0" + date.getDate() : date.getDate()} `

        + `${date.getHours().toString().length === 1 ? "0" + date.getHours() : date.getHours()}:`
        + `${date.getMinutes().toString().length === 1 ? "0" + date.getMinutes() : date.getMinutes()}:`
        + `${date.getSeconds().toString().length === 1 ? "0" + date.getSeconds() : date.getSeconds()}`;
}

export default dateToSQL;