export default class ErrorAgregator {
    errors = [];

    pushError(attr, error) {
        const existingError = this.errors.find(err => err.attribute === attr);

        if (existingError !== null && existingError !== undefined) {
            existingError.errors.push(error);
        }
        else {
            this.errors.push({ attribute: attr, errors: [error] })
        }
    }
}