#include <SoftwareSerial.h>

#define analogPin A2
#define analogPin A0
#define digitalPin 3
#define vccPin 4

const char BUTTON_PIN1 = 8;
const char BUTTON_PIN2 = 9;
const char BUTTON_PIN3 = 10;
bool pressed = false;
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include "OneButton.h"
LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  lcd.begin();// inicializuje displej
lcd.backlight(); // zapne podsvětlení
  // zahájení komunikace po sériové lince
  // rychlostí 9600 baud
  Serial.begin(9600);
  // nastavení datových pinů jako vstupů
  // a napájecího pinu jako výstupu
  pinMode(analogPin, INPUT);
  pinMode(BUTTON_PIN1, INPUT_PULLUP);
  pinMode(BUTTON_PIN2, INPUT_PULLUP);
  pinMode(BUTTON_PIN3, INPUT_PULLUP);
  pinMode(digitalPin, INPUT);
  pinMode(vccPin, OUTPUT);
  pinMode(LED_BUILTIN, OUTPUT);
  // vypnutí napájecího napětí pro modul
  digitalWrite(vccPin, LOW);
}


void loop() {
  // pokud je rozdíl mezi aktuálním časem a posledním
  // uloženým větší než 3000 ms, proveď měření
  
    // zapneme napájecí napětí pro modul s krátkou pauzou
    // pro ustálení
    digitalWrite(vccPin, HIGH);
    delay(100);

    bool currentState1 = digitalRead(8);
    bool currentState2 = digitalRead(9);
    bool currentState3 = digitalRead(10);

    int dataR = analogRead(A0);
    int dataC = analogRead(A2);
    
    //if (true) {
    Serial.print(";" + String(dataR) + "," + String(dataC));
    //delay(5000);
    //}

    //bool currentState2 = digitalRead(9);
    //int dataR = analogRead(A0);

    if(currentState2 == pressed) {
    lcd.setCursor(0,0);
    lcd.print("                ");
    lcd.setCursor(0,1);
    lcd.print("                ");
    lcd.setCursor(0,0);
    lcd.print("odporovy s.");
    lcd.setCursor(0,1);
    lcd.print(dataR);
    delay(100);
    }
    //digitalWrite(11, LOW); mozna patri nahodu nad zavorku idk
    
    if(currentState3 == pressed) { 
    //Serial.print("Analogovy vstup kapacitniho senzoru: ");
    //Serial.println(dataC);
    //if (dataC >810){
    //  Serial.println("POZOR! kapacitní senzor je na suchu");
    //}
    //Serial.println();
    lcd.setCursor(0,0);
    lcd.print("                ");
    lcd.setCursor(0,1);
    lcd.print("                ");
    lcd.setCursor(0,0);
    lcd.print("kapacitni s.");
    lcd.setCursor(0,1);
    lcd.print(dataC);
    delay(100);
    if(dataC>400){
      digitalWrite(11, HIGH);
      delay(1500);
    }
    digitalWrite(11, LOW);
    }
    

   /* if(currentState1 == pressed) {
    lcd.setCursor(0,0);
    lcd.print("                ");
    lcd.setCursor(0,1);
    lcd.print("                ");
    lcd.setCursor(0,0);
    lcd.print("prum. hodnota: ");
    lcd.setCursor(0,1);
    lcd.print((dataC+dataR)/2);
    Serial.println("prum. hodnota: ");
    Serial.println((dataC+dataR)/2);
    Serial.println();
    delay(100);
    if(((dataC+dataR)/2)>350){
      digitalWrite(11, HIGH);
      delay(1500);
    } */

    digitalWrite(11, LOW);
    
 
  delay (1000);

    
    // vypnutí napájecího napětí pro modul
    digitalWrite(vccPin, LOW);
}
  //if (data > 500) {
  //  Serial.println("Prekrocena nastavena hranice, senzor na suchu!");
  //}
  
  
  
